V6 (default), V6_WILD, V6_MINIV5_5, V5, V4_5PLUS, V4_5ALL, V4_5, V4uploadUrl) is enough to start generation together with the required fields below. Remaining fields are optional.uploadUrl, callBackUrl, title, negativeTags, styleprompt as lyrics.lyrics is not provided. V6 series maximum 5000 characters.m (male), f (female)0 off, 1 normal (default), 2 high, 3 extra, 4 max.V6 (default), V6_WILD, V6_MINI. Deprecated: V5_5, V5, V4_5PLUS, V4_5ALL, V4_5, V4.text (text generation), first (first track complete), complete (all tracks complete)text and first stages may be skipped, directly returning completecurl --location 'https://apibox.erweima.ai/api/v1/generate/add-vocals' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"prompt": "A calm and relaxing piano track with soothing vocals",
"lyrics": "[Verse] Night city lights shining bright",
"title": "Relaxing Piano with Vocals",
"negativeTags": "Heavy Metal, Aggressive Vocals",
"style": "Jazz",
"vocalGender": "m",
"styleWeight": 0.61,
"weirdnessConstraint": 0.72,
"audioWeight": 0.65,
"variety": 1,
"uploadUrl": "https://example.com/instrumental.mp3",
"callBackUrl": "https://api.example.com/callback",
"model": "V6"
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "5c79****be8e"
}
}